Package org.pushingpixels.substance.internal.utils

# Class NoiseFactory

java.lang.Object
org.pushingpixels.substance.internal.utils.NoiseFactory

public class NoiseFactory extends Object
Factory for creating noise images. This class is part of officially supported API.

## Constructor Summary

Constructors
Constructor
Description
`NoiseFactory()`

## Method Summary

Modifier and Type
Method
Description
`static BufferedImage`
`getNoiseImage(SubstanceSkin skin, int width, int height, double xFactor, double yFactor, boolean hasConstantZ, boolean toBlur, boolean isPreview)`
Returns a noise image.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoiseFactory

public NoiseFactory()

## Method Details

### getNoiseImage

public static BufferedImage getNoiseImage(SubstanceSkin skin, int width, int height, double xFactor, double yFactor, boolean hasConstantZ, boolean toBlur, boolean isPreview)
Returns a noise image.

Parameters:
  `skin` - The skin to use for rendering the image.
  `width` - Image width.
  `height` - Image height.
  `xFactor` - X stretch factor.
  `yFactor` - Y stretch factor.
  `hasConstantZ` - Indication whether the Z is constant.
  `toBlur` - Indication whether the resulting image should be blurred.
  `isPreview` - Indication whether the image is in preview mode.
Returns:
  Noise image.